-- Use SQL*Plus to run this script using
-- @sol09_05 <file_id> <block_id>
-- or replace <&1> with <file_id> and 
--	      <&2> with block_id
connect system/manager;
COL segment_name FORMAT A30
COL segment_type FORMAT A15

SELECT segment_name,segment_type
FROM dba_extents
WHERE file_id = 7 --&1
AND &2 BETWEEN block_id AND (block_id+blocks-1)
/
